HomeSort by: relevance | last modified time | path
    Searched refs:tempdir (Results 1 - 25 of 28) sorted by relevancy

1 2

  /src/external/gpl3/gcc.old/dist/gcc/jit/
jit-tempdir.h 30 /* A class to keep track of the jit::playback::context's tempdir.
32 The tempdir has the following layout:
48 class tempdir : public log_user class in namespace:gcc::jit
51 tempdir (logger *logger, int keep_intermediates);
52 ~tempdir ();
67 on-disk tempdir around after this wrapper object goes away. */
81 /* Other files within the tempdir to be cleaned up:
jit-result.h 42 result(logger *logger, handle dso_handle, tempdir *tempdir_);
54 tempdir *m_tempdir;
jit-tempdir.cc 25 #include "jit-tempdir.h"
32 /* Construct a tempdir path template suitable for use by mkdtemp
71 /* The constructor for the jit::tempdir object.
72 The real work is done by the jit::tempdir::create method. */
74 gcc::jit::tempdir::tempdir (logger *logger, int keep_intermediates) function in class:gcc::jit::tempdir
86 /* Do the real work of creating the on-disk tempdir.
87 We do this here, rather than in the jit::tempdir constructor
91 gcc::jit::tempdir::create ()
104 /* Create tempdir using mkdtemp. This is created with 0700 perms an
    [all...]
jit-result.cc 28 #include "jit-tempdir.h"
40 result(logger *logger, handle dso_handle, tempdir *tempdir_) :
61 /* Responsibility for cleaning up the tempdir (including "fake.so" within
jit-common.h 104 class tempdir;
jit-playback.h 335 tempdir *get_tempdir () { return m_tempdir; }
365 tempdir *m_tempdir;
jit-playback.cc 48 #include "jit-tempdir.h"
170 tempdir (including "fake.so" within the filesystem).
175 responsibility for the tempdir cleanup to the jit::result object, so
2336 m_tempdir = new tempdir (get_logger (), keep_intermediates);
2477 /* The .s file is automatically unlinked by tempdir::~tempdir. */
2512 /* The .so file is automatically unlinked by tempdir::~tempdir. */
2547 We can't in general hardlink or use "rename" from the tempdir since
3159 We're done with the tempdir for now, but if the use
    [all...]
  /src/external/gpl3/gcc/dist/gcc/jit/
jit-tempdir.h 30 /* A class to keep track of the jit::playback::context's tempdir.
32 The tempdir has the following layout:
48 class tempdir : public log_user class in namespace:gcc::jit
51 tempdir (logger *logger, int keep_intermediates);
52 ~tempdir ();
67 on-disk tempdir around after this wrapper object goes away. */
81 /* Other files within the tempdir to be cleaned up:
jit-result.h 42 result(logger *logger, handle dso_handle, tempdir *tempdir_);
54 tempdir *m_tempdir;
jit-tempdir.cc 25 #include "jit-tempdir.h"
32 /* Construct a tempdir path template suitable for use by mkdtemp
71 /* The constructor for the jit::tempdir object.
72 The real work is done by the jit::tempdir::create method. */
74 gcc::jit::tempdir::tempdir (logger *logger, int keep_intermediates) function in class:gcc::jit::tempdir
86 /* Do the real work of creating the on-disk tempdir.
87 We do this here, rather than in the jit::tempdir constructor
91 gcc::jit::tempdir::create ()
104 /* Create tempdir using mkdtemp. This is created with 0700 perms an
    [all...]
jit-result.cc 29 #include "jit-tempdir.h"
41 result(logger *logger, handle dso_handle, tempdir *tempdir_) :
62 /* Responsibility for cleaning up the tempdir (including "fake.so" within
jit-common.h 104 class tempdir;
jit-playback.h 364 tempdir *get_tempdir () { return m_tempdir; }
394 tempdir *m_tempdir;
  /src/external/gpl3/gdb/dist/gdb/contrib/ari/
create-web-ari-in-src.sh 43 if [ -z "${tempdir}" ] ; then
45 tempdir=$TMP/create-ari
47 tempdir=$TEMP/create-ari
49 tempdir=/tmp/create-ari
75 ${SHELL} ${scriptpath}/update-web-ari.sh ${srcdir} ${tempdir} ${webdir} gdb
  /src/external/gpl3/gdb.old/dist/gdb/contrib/ari/
create-web-ari-in-src.sh 43 if [ -z "${tempdir}" ] ; then
45 tempdir=$TMP/create-ari
47 tempdir=$TEMP/create-ari
49 tempdir=/tmp/create-ari
75 ${SHELL} ${scriptpath}/update-web-ari.sh ${srcdir} ${tempdir} ${webdir} gdb
  /src/external/gpl3/autoconf/dist/build-aux/
elisp-comp 63 tempdir=elc.$$
66 trap 'ret=$?; rm -rf "$tempdir" && exit $ret' 0
73 mkdir $tempdir
74 cp "$@" $tempdir
77 cd $tempdir
  /src/external/gpl2/gettext/dist/gettext-tools/gnulib-lib/
clean-temp.c 79 struct tempdir struct
94 struct tempdir * volatile * volatile tempdir_list;
207 struct tempdir *dir = cleanup_list.tempdir_list[i];
251 struct tempdir * volatile *tmpdirp = NULL;
252 struct tempdir *tmpdir;
272 struct tempdir * volatile *old_array = cleanup_list.tempdir_list;
275 struct tempdir * volatile *new_array =
276 (struct tempdir * volatile *)
277 xmalloc (new_allocated * sizeof (struct tempdir * volatile));
298 free ((struct tempdir **) old_array)
    [all...]
  /src/external/gpl2/gettext/dist/build-aux/
elisp-comp 64 tempdir=elc.$$
67 trap 'ret=$?; rm -rf "$tempdir" && exit $ret' 0
70 mkdir $tempdir
71 cp "$@" $tempdir
74 cd $tempdir
  /src/external/gpl2/texinfo/dist/util/
txitextest 18 tempdir=/u/texinfo/@tests/testdir
27 --t*) shift; tempdir="$1";;
37 cd $tempdir || exit 1
  /src/external/apache2/llvm/dist/clang/utils/analyzer/
reducer.pl 4 use File::Temp qw/ tempdir /;
15 my $dir = tempdir( CLEANUP => 1 );
  /src/external/ibm-public/postfix/dist/
postfix-install 91 # .IP tempdir
268 for name in $CONFIG_PARAMS sample_directory install_root tempdir
318 rm -f $tempdir/junk || exit 1
320 cp $src $tempdir/junk || exit 1
321 test -z "$keep_build_mtime" || touch -r $src $tempdir/junk || exit 1
322 mv -f $tempdir/junk $dst || exit 1
461 : ${tempdir=`pwd`}
466 test -z "$non_interactive" && for name in install_root tempdir config_directory
631 test -d $tempdir || mkdir -p $tempdir || exit
    [all...]
  /src/external/gpl3/gcc.old/dist/libgfortran/io/
unix.c 1195 the directory specified by tempdir. If successful, the file name is
1200 tempfile_open (const char *tempdir, char **fname)
1208 if (!tempdir)
1211 /* Check for the special case that tempdir ends with a slash or
1213 size_t tempdirlen = strlen (tempdir);
1214 if (*tempdir == 0 || tempdir[tempdirlen - 1] == '/'
1216 || tempdir[tempdirlen - 1] == '\\'
1226 tempdir, slash);
1258 tempdir, slash)
1301 const char *tempdir; local
    [all...]
  /src/external/gpl3/gcc/dist/libgfortran/io/
unix.c 1194 the directory specified by tempdir. If successful, the file name is
1199 tempfile_open (const char *tempdir, char **fname)
1207 if (!tempdir)
1210 /* Check for the special case that tempdir ends with a slash or
1212 size_t tempdirlen = strlen (tempdir);
1213 if (*tempdir == 0 || tempdir[tempdirlen - 1] == '/'
1215 || tempdir[tempdirlen - 1] == '\\'
1225 tempdir, slash);
1257 tempdir, slash)
1300 const char *tempdir; local
    [all...]
  /src/external/apache2/llvm/dist/libcxx/utils/
ssh.py 50 parser.add_argument('--tempdir', type=str, required=False, default='/tmp')
61 tmp = subprocess.check_output(ssh(args, 'mktemp -d {}/libcxx.XXXXXXXXXX'.format(args.tempdir)), universal_newlines=True).strip()
  /src/external/bsd/kyua-cli/dist/utils/fs/
operations_test.cpp 290 const std::string dir_template("tempdir.XXXXXX");
291 const fs::path tempdir = fs::mkdtemp(dir_template); local
293 ATF_REQUIRE(lookup("tmp", tempdir.leaf_name().c_str(), DT_DIR));

Completed in 189 milliseconds

1 2